com.dlsc.flexgantt.model.gantt

## Interface IActivityObject

- All Superinterfaces:
    Comparable<ITimelineObject>, IPropertiesOwner, ITimelineObject
  All Known Implementing Classes:
    DefaultActivityObject

      public interface IActivityObject
      extends ITimelineObject

  Timeline objects that implement this interface are considered activities and add additional properties.
  Since:
    1.0
  Version:
    $Revision: 1.6 $
  Author:
    Dirk Lemmermann

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getPercentageComplete()` Returns the percentage complete value of the activity.
    `boolean` | `isPercentageChangeable()` Returns TRUE if the percentage complete value can be edited.
    `void` | `setPercentageComplete(double p)` Changes the percentage complete value of the activity.

    - ### Methods inherited from interface com.dlsc.flexgantt.model.gantt.ITimelineObject

      `getChildren, getDragActions, getLabel, getLineIndex, getPopupObject, getPopupTitleObject, getStatus, getTimeSpan, isDeletable, isDurationChangeable, isInPlaceEditable, isParent, isSelectable, isStartTimeChangeable, setTimeSpan`

    - ### Methods inherited from interface com.dlsc.flexgantt.model.IPropertiesOwner

      `getProperty, setProperty`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Method Detail

    - #### getPercentageComplete

          double getPercentageComplete()

      Returns the percentage complete value of the activity. The value must be between 0 and 100.
      Returns:
        the object's percentage complete value
      Since:
        1.0
      See Also:
        `setPercentageComplete(double)`

    - #### setPercentageComplete

          void setPercentageComplete(double p)

      Changes the percentage complete value of the activity. The value must be between 0 and 100.
      Parameters:
        `p` - the new percnetage complete value
      Since:
        1.0
      See Also:
        `getPercentageComplete()`

    - #### isPercentageChangeable

          boolean isPercentageChangeable()

      Returns TRUE if the percentage complete value can be edited.
      Returns:
        TRUE if the object's percentage complete value can be edited
      Since:
        1.0
      See Also:
        `IEditActivityObjectPolicy.isPercentageChangeable(TimelineObjectPath, IGanttChartModel)`

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.